> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiployees.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Получаване на всички телефонни номера

> Получаване на всички телефонни номера, притежавани от автентифицирания потребител

Този endpoint връща списък от всички телефонни номера, свързани с вашия акаунт, включително техния статус на абонамент и възможности.

### Отговор

<ResponseField name="data" type="array">
  Масив от обекти с телефонни номера

  <Expandable title="свойства на телефонния номер">
    <ResponseField name="id" type="integer">
      Уникалният идентификатор на телефонния номер
    </ResponseField>

    <ResponseField name="phone_number" type="string">
      Телефонният номер в E.164 формат (напр., +14155551234)
    </ResponseField>

    <ResponseField name="country_code" type="string">
      ISO 3166-1 alpha-2 кодът на държавата (напр., US, GB, AU)
    </ResponseField>

    <ResponseField name="type" type="string">
      Типът на телефонния номер: `normal`, `sip`, или `caller_id`
    </ResponseField>

    <ResponseField name="type_label" type="string">
      Четим етикет за типа на телефонния номер
    </ResponseField>

    <ResponseField name="sms_capable" type="boolean">
      Дали телефонният номер може да изпраща и получава SMS
    </ResponseField>

    <ResponseField name="region" type="string">
      Регионът, където телефонният номер е предоставен
    </ResponseField>

    <ResponseField name="has_active_subscription" type="boolean">
      Дали телефонният номер има активен абонамент
    </ResponseField>

    <ResponseField name="created_at" type="string">
      ISO 8601 времева отметка на закупуване на телефонния номер
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 Response theme={null}
  {
    "data": [
      {
        "id": 1,
        "phone_number": "+14155551234",
        "country_code": "US",
        "type": "normal",
        "type_label": "Dedicated Number",
        "sms_capable": true,
        "region": "us1",
        "has_active_subscription": true,
        "created_at": "2025-01-08T10:30:00.000000Z"
      },
      {
        "id": 2,
        "phone_number": "+442071234567",
        "country_code": "GB",
        "type": "normal",
        "type_label": "Dedicated Number",
        "sms_capable": false,
        "region": "us1",
        "has_active_subscription": true,
        "created_at": "2025-01-05T14:20:00.000000Z"
      }
    ]
  }
  ```
</ResponseExample>

<Note>
  Съществува също наследен endpoint `GET /user/phone-numbers`, който връща само SMS-способни телефонни номера с активни абонаменти. Използвайте този `/all` endpoint, ако имате нужда от всички телефонни номера независимо от SMS възможността или статуса на абонамента.
</Note>

***
